Index: www/spidereyeballs/Portfile
===================================================================
--- www/spidereyeballs/Portfile	(revision 93513)
+++ www/spidereyeballs/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              spidereyeballs
 version           0.21
@@ -16,11 +17,11 @@
 master_sites      sourceforge:project/spidereyeballs/spidereyeballs/${version}
 distname		  Spidy-${version}
 checksums		  sha1 90e3cf5514bc81d9d83675256f8b3f71c34407d8
-depends_lib	  port:perl5.12 port:p5.12-html-template \
-				  port:p5.12-xml-parser port:p5.12-image-size
+depends_lib	  port:perl${perl5.major} port:p${perl5.major}-html-template \
+				  port:p${perl5.major}-xml-parser port:p${perl5.major}-image-size
 depends_run		  port:ImageMagick
 
-configure.cmd           ${prefix}/bin/perl5.12
+configure.cmd           ${prefix}/bin/perl${perl5.major}
 configure.pre_args      Makefile.PL
 configure.args			--prefix=${prefix}
 destroot.target			install
Index: www/wml/Portfile
===================================================================
--- www/wml/Portfile	(revision 93513)
+++ www/wml/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name                    wml
 version                 2.0.11
@@ -32,18 +33,18 @@
                         patch-no_tidy.diff \
                         patch-no_txt2html.diff
 
-depends_run             port:p5.12-eperl \
+depends_run             port:p${perl5.major}-eperl \
                         port:m4 \
                         port:tidy
 
 depends_lib             port:gdbm \
                         port:gettext \
                         port:libiconv \
-                        port:p5.12-getopt-long \
-                        port:p5.12-bit-vector \
-                        port:p5.12-image-size \
-                        port:p5.12-io \
-                        port:p5.12-term-readkey
+                        port:p${perl5.major}-getopt-long \
+                        port:p${perl5.major}-bit-vector \
+                        port:p${perl5.major}-image-size \
+                        port:p${perl5.major}-io \
+                        port:p${perl5.major}-term-readkey
 
 depends_build           port:lynx
 
Index: multimedia/cws2fws-pl/Portfile
===================================================================
--- multimedia/cws2fws-pl/Portfile	(revision 93513)
+++ multimedia/cws2fws-pl/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                cws2fws-pl
 version             0.0.1
@@ -15,7 +16,7 @@
 master_sites        http://zefonseca.com/cws2fws/release/
 distfiles           cws2fws
 
-depends_run         port:p5.12-io-compress
+depends_run         port:p${perl5.major}-io-compress
 
 checksums           rmd160  733a7fa884771c4a5d66eaafc5d89c867048ca20
 
@@ -25,7 +26,7 @@
 }
 
 patch {
-    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" "${worksrcpath}/cws2fws.pl"
+    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" "${worksrcpath}/cws2fws.pl"
 }
 
 use_configure       no
Index: multimedia/libgpod/Portfile
===================================================================
--- multimedia/libgpod/Portfile	(revision 93513)
+++ multimedia/libgpod/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                libgpod
 version             0.8.0
@@ -23,7 +24,7 @@
 depends_build       path:bin/pkg-config:pkgconfig \
                     port:intltool
 
-depends_lib         port:p5.12-xml-parser \
+depends_lib         port:p${perl5.major}-xml-parser \
                     port:libplist \
                     port:gdk-pixbuf2 \
                     port:taglib \
Index: multimedia/dvdrip/Portfile
===================================================================
--- multimedia/dvdrip/Portfile	(revision 93513)
+++ multimedia/dvdrip/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                dvdrip
 version             0.98.8
@@ -17,9 +18,9 @@
 platforms           darwin
 master_sites        http://www.exit1.org/dvdrip/dist/
 checksums           md5 61b77b298b14c6bde83713e93e9ea4d8
-depends_lib         port:p5.12-libintl-perl \
+depends_lib         port:p${perl5.major}-libintl-perl \
                     port:transcode \
-                    port:p5.12-gtk2
+                    port:p${perl5.major}-gtk2
 
 # transcode is not universal
 universal_variant   no
Index: multimedia/gnupod/Portfile
===================================================================
--- multimedia/gnupod/Portfile	(revision 93513)
+++ multimedia/gnupod/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name              gnupod
 version           0.99.7
@@ -18,12 +19,12 @@
 extract.suffix    .tgz
 checksums         sha1 3aa4b32cc896af435fb52d4bb154ee950ad08ce1
 
-depends_lib       port:perl5.12 port:p5.12-mp3-info port:p5.12-digest-md5 \
-                  port:p5.12-xml-parser port:p5.12-unicode-string \
-                  port:p5.12-libwww-perl port:p5.12-digest-sha1 port:p5.12-timedate \
+depends_lib       port:perl${perl5.major} port:p${perl5.major}-mp3-info port:p${perl5.major}-digest-md5 \
+                  port:p${perl5.major}-xml-parser port:p${perl5.major}-unicode-string \
+                  port:p${perl5.major}-libwww-perl port:p${perl5.major}-digest-sha1 port:p${perl5.major}-timedate \
 		  port:lame
 
-configure.perl    ${prefix}/bin/perl5.12
+configure.perl    ${prefix}/bin/perl${perl5.major}
 
 configure.args    --infodir=${prefix}/share/info
 
@@ -36,12 +37,12 @@
 
 # should also use timidity
 variant flac description "Enable FLAC" {
-    depends_lib-append  port:flac port:p5.12-audio-flac-header
+    depends_lib-append  port:flac port:p${perl5.major}-audio-flac-header
 }
 
 # should use Ogg::Vorbis::Header::PurePerl, won't work
 variant vorbis description "Enable Ogg/Vorbis" {
-    depends_lib-append  port:vorbis-tools port:p5.12-libvorbis-perl
+    depends_lib-append  port:vorbis-tools port:p${perl5.major}-libvorbis-perl
 }
 
 variant aac description "Enable AAC" {
Index: games/xqf/Portfile
===================================================================
--- games/xqf/Portfile	(revision 93513)
+++ games/xqf/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xqf
 version         1.0.5
@@ -30,7 +31,7 @@
 
 depends_lib         port:gtk1 \
                     port:gdk-pixbuf \
-                    port:p5.12-xml-parser \
+                    port:p${perl5.major}-xml-parser \
                     port:readline
 
 depends_run         port:qstat
Index: games/frozenbubble2/Portfile
===================================================================
--- games/frozenbubble2/Portfile	(revision 93513)
+++ games/frozenbubble2/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	      1.0
+PortGroup			perl5	1.0
 
 name		      frozenbubble2
 categories	      games
@@ -25,9 +26,9 @@
 use_bzip2	      yes
 
 depends_build        port:pkgconfig
-depends_lib	      port:perl5.12 path:lib/pkgconfig/sdl.pc:libsdl port:libsdl_image \
-		      port:libsdl_mixer port:p5.12-sdl_perl port:libsdl_pango
-depends_run	      port:p5.12-locale-gettext
+depends_lib	      port:perl${perl5.major} path:lib/pkgconfig/sdl.pc:libsdl port:libsdl_image \
+		      port:libsdl_mixer port:p${perl5.major}-sdl_perl port:libsdl_pango
+depends_run	      port:p${perl5.major}-locale-gettext
 
 livecheck.type        freecode
 livecheck.name        frozen-bubble
@@ -36,7 +37,7 @@
 
 configure {
     foreach file [glob ${worksrcpath}/frozen-bubble*] {
-        reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" ${file}
+        reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" ${file}
     }
 }
 
Index: games/pioneers/Portfile
===================================================================
--- games/pioneers/Portfile	(revision 93513)
+++ games/pioneers/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 PortGroup           app 1.0
 
 name                pioneers
@@ -20,7 +21,7 @@
 
 homepage            http://pio.sourceforge.net/
 platforms           freebsd darwin
-depends_build       port:gettext port:grep port:intltool port:p5.12-xml-parser \
+depends_build       port:gettext port:grep port:intltool port:p${perl5.major}-xml-parser \
                     port:perl5 port:pkgconfig port:rarian
 depends_lib         port:atk port:expat port:fontconfig port:freetype \
                     port:gettext port:gtk2 port:libiconv \
Index: graphics/imageindex/Portfile
===================================================================
--- graphics/imageindex/Portfile	(revision 93513)
+++ graphics/imageindex/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              imageindex
 
@@ -20,16 +21,16 @@
                   sha1    56ff666cb59258cc06052ccbe91ca06cb42f8cca \
                   rmd160  cffde483a8dddcef7f415c38b8ee3a9487444ecb
 
-depends_lib       port:p5.12-perlmagick
+depends_lib       port:p${perl5.major}-perlmagick
 
-depends_run       port:p5.12-image-info
+depends_run       port:p${perl5.major}-image-info
 
 use_configure     no
 
-build.args        PREFIX=${prefix} PERLPATH=${prefix}/bin/perl5.12
+build.args        PREFIX=${prefix} PERLPATH=${prefix}/bin/perl${perl5.major}
 
 destroot.cmd      make install
-destroot.args     PREFIX=${destroot}${prefix} PERLPATH=${prefix}/bin/perl5.12
+destroot.args     PREFIX=${destroot}${prefix} PERLPATH=${prefix}/bin/perl${perl5.major}
 
 livecheck.type    regex
 livecheck.regex   ${name}-(\[0-9.\]+)\\.tar
Index: graphics/hugin-app/Portfile
===================================================================
--- graphics/hugin-app/Portfile	(revision 93513)
+++ graphics/hugin-app/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 PortGroup cmake	1.0
 
 name			hugin-app
@@ -34,7 +35,7 @@
 			port:libxml2
 
 depends_run		port:enblend \
-			port:p5.12-image-exiftool
+			port:p${perl5.major}-image-exiftool
 
 checksums		md5 ac8a129b4c3021233df6d9368c8164cf \
 			sha1 22e1ad3846291a9bbe58570683e213921a6f0116 \
Index: security/log2timeline/Portfile
===================================================================
--- security/log2timeline/Portfile	(revision 93513)
+++ security/log2timeline/Portfile	(working copy)
@@ -28,34 +28,34 @@
 checksums           sha1    eca77c1b957a23150b1d906a7e9790e46d6ff277 \
                     rmd160  654bab031ce713253b133a94ac5d44dc3b976c9c
 
-depends_lib         port:perl5.12 \
-                    port:p5.12-archive-zip \
-                    port:p5.12-carp-assert \
-                    port:p5.12-datetime-format-strptime \
-                    port:p5.12-datetime-timezone \
-                    port:p5.12-dbd-sqlite \
-                    port:p5.12-dbi \
-                    port:p5.12-digest-crc \
-                    port:p5.12-gtk2 \
-                    port:p5.12-html-parser \
-                    port:p5.12-html-scrubber \
-                    port:p5.12-image-exiftool \
-                    port:p5.12-libwww-perl \
-                    port:p5.12-net-pcap \
-                    port:p5.12-netpacket \
-                    port:p5.12-xml-libxml \
-                    port:p5.12-datemanip \
-                    port:p5.12-parse-win32registry \
-                    port:p5.12-file-mork \
-                    port:p5.12-data-hexify \
-                    port:p5.12-version \
-                    port:p5.12-params-validate \
-                    port:p5.12-xml-entities \
-                    port:p5.12-mac-propertylist
+depends_lib         port:perl${perl5.major} \
+                    port:p${perl5.major}-archive-zip \
+                    port:p${perl5.major}-carp-assert \
+                    port:p${perl5.major}-datetime-format-strptime \
+                    port:p${perl5.major}-datetime-timezone \
+                    port:p${perl5.major}-dbd-sqlite \
+                    port:p${perl5.major}-dbi \
+                    port:p${perl5.major}-digest-crc \
+                    port:p${perl5.major}-gtk2 \
+                    port:p${perl5.major}-html-parser \
+                    port:p${perl5.major}-html-scrubber \
+                    port:p${perl5.major}-image-exiftool \
+                    port:p${perl5.major}-libwww-perl \
+                    port:p${perl5.major}-net-pcap \
+                    port:p${perl5.major}-netpacket \
+                    port:p${perl5.major}-xml-libxml \
+                    port:p${perl5.major}-datemanip \
+                    port:p${perl5.major}-parse-win32registry \
+                    port:p${perl5.major}-file-mork \
+                    port:p${perl5.major}-data-hexify \
+                    port:p${perl5.major}-version \
+                    port:p${perl5.major}-params-validate \
+                    port:p${perl5.major}-xml-entities \
+                    port:p${perl5.major}-mac-propertylist
 
 supported_archs     noarch
 
-configure.cmd       ${prefix}/bin/perl5.12 Makefile.PL
+configure.cmd       ${prefix}/bin/perl${perl5.major} Makefile.PL
 configure.pre_args
 
 post-destroot {
Index: security/metasploit2/Portfile
===================================================================
--- security/metasploit2/Portfile	(revision 93513)
+++ security/metasploit2/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 name		metasploit2
 version		2.7
 revision	1
@@ -26,16 +27,16 @@
 checksums	md5 ea592cfb006e1b2510b533cece4ecb18 \
 		sha1 da5d41dfa13e549aacd4fbf2994877cbe80ceed9
 
-depends_lib	port:perl5.12 \
-		port:p5.12-term-readline-gnu \
-		port:p5.12-net-ssleay
+depends_lib	port:perl${perl5.major} \
+		port:p${perl5.major}-term-readline-gnu \
+		port:p${perl5.major}-net-ssleay
 
 use_configure   no
 build           {
 			## remove the .svn/ directories, no need to move them around
 			system "cd ${worksrcpath} && find . -type d -name '\.svn' | xargs /bin/rm -rf"
 			foreach file [glob -directory ${worksrcpath} msf*] {
-				reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" $file
+				reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" $file
 			}
 		}
 destroot        { 
Index: security/makepasswd/Portfile
===================================================================
--- security/makepasswd/Portfile	(revision 93513)
+++ security/makepasswd/Portfile	(working copy)
@@ -1,5 +1,6 @@
 # $Id$
 PortSystem        1.0
+PortGroup			perl5	1.0
 name              makepasswd
 version           1.10-3
 revision          1
@@ -21,7 +22,7 @@
                   patch-makepasswd.diff \
                   sha1 58b6d05b1da01ae75cb04fadd27aa6902fe9d403
 
-depends_lib       port:p5.12-crypt-passwdmd5
+depends_lib       port:p${perl5.major}-crypt-passwdmd5
 
 extract.cmd       ar
 extract.pre_args  -x
@@ -30,7 +31,7 @@
 
 configure         {}
 post-configure    {
-                  reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+                  reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                   "${worksrcpath}/usr/bin/makepasswd"
                   }
 
Index: security/tinyca2/Portfile
===================================================================
--- security/tinyca2/Portfile	(revision 93513)
+++ security/tinyca2/Portfile	(working copy)
@@ -1,5 +1,6 @@
 # $Id$
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name			tinyca2
 version			0.7.5
@@ -16,8 +17,8 @@
 checksums		md5 d3b547305e89785fbe8262be244a2321 \
 			sha1 841355ab8478a7e7b1a3d6bba4dd31293ae11cc4
 depends_lib		port:openssl port:zip \
-			port:gettext port:p5.12-gtk2 \
-			port:p5.12-locale-gettext
+			port:gettext port:p${perl5.major}-gtk2 \
+			port:p${perl5.major}-locale-gettext
 
 patchfiles		patch-tinyca2
 
@@ -31,7 +32,7 @@
 	reinplace s|@OPENSSL@|${prefix}/bin/openssl|g ${worksrcpath}/tinyca2
 	reinplace s|@ZIP@|${prefix}/bin/zip|g ${worksrcpath}/tinyca2
 	reinplace s|@TAR@|/usr/bin/tar|g ${worksrcpath}/tinyca2
-	reinplace s|/usr/bin/perl|${prefix}/bin/perl5.12|g ${worksrcpath}/tinyca2
+	reinplace s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g ${worksrcpath}/tinyca2
 }
 
 pre-build {
Index: databases/postgresql_autodoc/Portfile
===================================================================
--- databases/postgresql_autodoc/Portfile	(revision 93513)
+++ databases/postgresql_autodoc/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			postgresql_autodoc
 version			1.31
@@ -19,11 +20,11 @@
 				sha1  2f9dbd73593ce71229fcaf72d5e69c18b8812117 \
 				rmd160 7c7b3a60c79acde53fa8eb542d4d435423324002
 
-depends_lib		port:perl5.12 \
-				port:p5.12-dbi \
-				port:p5.12-dbd-pg \
-				port:p5.12-html-template \
-				port:p5.12-term-readkey
+depends_lib		port:perl${perl5.major} \
+				port:p${perl5.major}-dbi \
+				port:p${perl5.major}-dbd-pg \
+				port:p${perl5.major}-html-template \
+				port:p${perl5.major}-term-readkey
 
 worksrcdir		${name}
 
Index: databases/libgda3/Portfile
===================================================================
--- databases/libgda3/Portfile	(revision 93513)
+++ databases/libgda3/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		libgda3
 version		3.0.4
@@ -27,8 +28,8 @@
 	port:libiconv \
 	port:libxml2 \
 	port:ncurses \
-	port:p5.12-xml-parser \
-	port:perl5.12 \
+	port:p${perl5.major}-xml-parser \
+	port:perl${perl5.major} \
 	port:readline \
 	port:zlib \
 	path:lib/pkgconfig/glib-2.0.pc:glib2
@@ -41,7 +42,7 @@
 
 patchfiles      patch-glib-2.32.diff
 
-configure.perl  ${prefix}/bin/perl5.12
+configure.perl  ${prefix}/bin/perl${perl5.major}
 configure.env-append  INTLTOOL_PERL=${configure.perl}
 
 configure.args  --mandir=${prefix}/share/man
Index: databases/mysql-zrm/Portfile
===================================================================
--- databases/mysql-zrm/Portfile	(revision 93513)
+++ databases/mysql-zrm/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem		1.0
+PortGroup			perl5	1.0
 
 name			mysql-zrm
 version			2.0
@@ -20,8 +21,8 @@
 distname		MySQL-zrm-${version}
 checksums		md5 13a82abeb181d265af553770d1db6718 \
 				sha1 fbc38a346755fb228296af2a447cb5fd74d5d246
-depends_lib		port:p5.12-dbi \
-			port:p5.12-xml-parser
+depends_lib		port:p${perl5.major}-dbi \
+			port:p${perl5.major}-xml-parser
 use_configure		no
 patchfiles		patch-mysql-zrm-backup-0 \
 			patch-mysql-zrm-verify-backup-1 \
@@ -35,7 +36,7 @@
 	# Not the most efficient way to do this, but much more readable
 	foreach f [exec find ${worksrcpath} -type f -print] {
 		reinplace "s|/opt/csw/bin|${prefix}/bin|" ${f}
-		reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" ${f}
+		reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" ${f}
 		reinplace "s|/usr/bin/mysql-zrm|${prefix}/bin/mysql-zrm|" ${f}
 		reinplace "s|/usr/lib/mysql-zrm|${prefix}/lib/mysql-zrm|" ${f}
 		reinplace "s|/usr/share/mysql-zrm|${prefix}/share/mysql-zrm|" ${f}
Index: math/pspp-devel/Portfile
===================================================================
--- math/pspp-devel/Portfile	(revision 93513)
+++ math/pspp-devel/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 PortGroup           app 1.0
 
 name                pspp-devel
Index: math/qalculate-gtk/Portfile
===================================================================
--- math/qalculate-gtk/Portfile	(revision 93513)
+++ math/qalculate-gtk/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		qalculate-gtk
 version		0.9.7
@@ -38,7 +39,7 @@
 use_parallel_build	yes
 
 # needs to be same as used by intltool
-configure.perl  ${prefix}/bin/perl5.12
+configure.perl  ${prefix}/bin/perl${perl5.major}
 
 post-destroot {
     file delete ${destroot}${prefix}/bin/qalculate
Index: math/libqalculate/Portfile
===================================================================
--- math/libqalculate/Portfile	(revision 93513)
+++ math/libqalculate/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		libqalculate
 version		0.9.7
@@ -28,7 +29,7 @@
                     sha1    c15f7f3a97995decf62cc964956fc1e374ecd78c \
                     rmd160  cc9e198769bea9731f92d2f3836875c83f715674
 
-depends_build port:p5.12-xml-parser \
+depends_build port:p${perl5.major}-xml-parser \
     port:pkgconfig
 
 depends_lib	port:cln\
Index: erlang/tsung/Portfile
===================================================================
--- erlang/tsung/Portfile	(revision 93513)
+++ erlang/tsung/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                tsung
 version             1.4.2
@@ -27,7 +28,7 @@
 depends_lib         port:erlang \
                     port:mochiweb \
                     port:gnuplot \
-                    port:p5.12-template-toolkit \
+                    port:p${perl5.major}-template-toolkit \
                     port:rrdtool
 
 patchfiles          patch-Makefile.in.diff
@@ -35,10 +36,10 @@
 build.target        all doc
 
 post-patch {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" \
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" \
         ${worksrcpath}/src/tsung-rrd.pl.in \
         ${worksrcpath}/src/tsung_stats.pl.in
-    reinplace "s|/usr/bin/env perl|${prefix}/bin/perl5.12|" \
+    reinplace "s|/usr/bin/env perl|${prefix}/bin/perl${perl5.major}|" \
         ${worksrcpath}/src/log2tsung.pl.in
     reinplace "s| /usr/bin/python|${prefix}/bin/python2.7|" \
         ${worksrcpath}/src/tsung-plotter/tsung/tsung.py
Index: science/perlprimer/Portfile
===================================================================
--- science/perlprimer/Portfile	(revision 93513)
+++ science/perlprimer/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                perlprimer
 version             1.1.20
@@ -22,7 +23,7 @@
 master_sites        sourceforge
 use_bzip2           yes
 
-depends_lib         port:p5.12-tk port:p5.12-libwww-perl
+depends_lib         port:p${perl5.major}-tk port:p${perl5.major}-libwww-perl
 
 checksums           sha1    00ae0bafbf3773c15e6f4b2dd0bb7b0d47427f8b \
                     rmd160  d92a9beea4e612a7f86ba08b36823422c576cd81
@@ -34,7 +35,7 @@
 destroot {
    xinstall -m 755 -W ${worksrcpath} perlprimer.pl ${destroot}${prefix}/bin
    ln -s perlprimer.pl ${destroot}${prefix}/bin/perlprimer
-   reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|g" \
+   reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|g" \
       ${destroot}${prefix}/bin/perlprimer.pl
    xinstall -m 755 -d ${destroot}${prefix}/share/doc/${name}
    xinstall -m 644 -W ${worksrcpath} Changelog ReadMe ReadMe.txt gcg.603 \
Index: science/magicspp/Portfile
===================================================================
--- science/magicspp/Portfile	(revision 93513)
+++ science/magicspp/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                magicspp
 version             2.10.0
@@ -33,7 +34,7 @@
                     port:mesa \
                     port:xorg-libXau \
                     port:xorg-libXdmcp \
-                    port:p5.12-xml-parser \
+                    port:p${perl5.major}-xml-parser \
                     port:gd2 \
                     path:lib/pkgconfig/pango.pc:pango \
                     port:ghostscript
Index: science/gpredict/Portfile
===================================================================
--- science/gpredict/Portfile	(revision 93513)
+++ science/gpredict/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                gpredict
 version             1.3
@@ -30,4 +31,4 @@
                     port:pkgconfig
 depends_lib         port:goocanvas \
                     port:curl \
-                    port:p5.12-xml-parser
+                    port:p${perl5.major}-xml-parser
Index: editors/ackmate/Portfile
===================================================================
--- editors/ackmate/Portfile	(revision 93513)
+++ editors/ackmate/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem              1.0
+PortGroup			perl5	1.0
 PortGroup               xcode 1.0
 
 name                    ackmate
@@ -18,4 +19,4 @@
 git.url                 http://github.com/protocool/${real_name}.git
 git.branch              8b0c84cc668612946cee
 depends_build           port:ragel
-depends_lib             port:p5.12-app-ack
+depends_lib             port:p${perl5.major}-app-ack
Index: editors/zim/Portfile
===================================================================
--- editors/zim/Portfile	(revision 93513)
+++ editors/zim/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                zim
 version             0.28
@@ -27,8 +28,8 @@
                     sha1    c0d1d5ad956ee682f01ecbd89009eb9f0852f34c \
                     rmd160  b6ecc7c6f094670754b4219e7506edefd00b2ca1
 
-depends_lib         port:p5.12-gtk2 port:p5.12-module-build port:p5.12-file-mimeinfo \
-                    port:p5.12-file-basedir port:p5.12-file-desktopentry
+depends_lib         port:p${perl5.major}-gtk2 port:p${perl5.major}-module-build port:p${perl5.major}-file-mimeinfo \
+                    port:p${perl5.major}-file-basedir port:p${perl5.major}-file-desktopentry
 
 configure.pre_args  ""
 
Index: mail/muttprint/Portfile
===================================================================
--- mail/muttprint/Portfile	(revision 93513)
+++ mail/muttprint/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                muttprint
 version             0.72d
@@ -21,14 +22,14 @@
 
 checksums           sha1 532a1c7ed019b0b50c78caf7eeb17f5cd34d3d1e
 
-depends_lib         port:p5.12-text-iconv port:dialog
+depends_lib         port:p${perl5.major}-text-iconv port:dialog
 
 use_configure       no
 
 destroot            {
                     file mkdir ${destroot}${prefix}/bin ${destroot}${prefix}/share/man/man1
                     xinstall -m 755 ${worksrcpath}/${name} ${destroot}${prefix}/bin
-                    reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" ${destroot}${prefix}/bin/${name}
+                    reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" ${destroot}${prefix}/bin/${name}
                     xinstall -m 0644 ${worksrcpath}/doc/manpages/en/muttprint.1.gz ${destroot}${prefix}/share/man/man1
                     }
 
Index: mail/mailqfmt/Portfile
===================================================================
--- mail/mailqfmt/Portfile	(revision 93513)
+++ mail/mailqfmt/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 		1.0
+PortGroup			perl5	1.0
 name			mailqfmt
 version			0.6
 revision        1
@@ -14,7 +15,7 @@
 master_sites	 	http://www.dt.e-technik.uni-dortmund.de/~ma/postfix/
 distfiles		${name}.pl
 checksums	 	md5 e1d452850f59cd004d2d4930758a4a28
-depends_lib-append	port:p5.12-libwww-perl port:postfix
+depends_lib-append	port:p${perl5.major}-libwww-perl port:postfix
 
 variant apple_postfix description {uses the mail queues of macosx postfix} {
 	depends_lib-delete	port:postfix
@@ -25,7 +26,7 @@
 	  file copy ${distpath}/mailqfmt.pl ${workpath}/mailqfmt
 	}
 post-patch { 
-	  reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+	  reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
 	    ${workpath}/mailqfmt
 
 if { ![variant_isset apple_postfix] } {
Index: mail/sqlgrey/Portfile
===================================================================
--- mail/sqlgrey/Portfile	(revision 93513)
+++ mail/sqlgrey/Portfile	(working copy)
@@ -17,10 +17,10 @@
 
 supported_archs     noarch
 
-depends_lib         port:p5.12-dbi \
-                    port:p5.12-io-multiplex \
-                    port:p5.12-net-dns \
-                    port:p5.12-net-server
+depends_lib         port:p${perl5.major}-dbi \
+                    port:p${perl5.major}-io-multiplex \
+                    port:p${perl5.major}-net-dns \
+                    port:p${perl5.major}-net-server
 
 depends_run         port:postfix
 
@@ -81,15 +81,15 @@
 default_variants    +mysql
 
 variant mysql description {add mysql driver support} {
-    depends_lib-append  port:p5.12-dbd-mysql
+    depends_lib-append  port:p${perl5.major}-dbd-mysql
 }
 
 variant sqlite description {add sqlite driver support} {
-    depends_lib-append  port:p5.12-dbd-sqlite
+    depends_lib-append  port:p${perl5.major}-dbd-sqlite
 }
 
 variant postgresql description {add postgres driver support} {
-    depends_lib-append  port:p5.12-dbd-pg
+    depends_lib-append  port:p${perl5.major}-dbd-pg
 }
 
 livecheck.version   ${version}
Index: mail/signing-party/Portfile
===================================================================
--- mail/signing-party/Portfile	(revision 93513)
+++ mail/signing-party/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                signing-party
 version             1.1.4
@@ -28,14 +29,14 @@
 
 use_configure       no
 
-depends_lib         port:perl5.12 \
-                    port:p5.12-class-methodmaker \
-                    port:p5.12-mailtools \
-                    port:p5.12-term-readkey \
-                    port:p5.12-gnupg-interface \
-                    port:p5.12-text-iconv \
-                    port:p5.12-text-template \
-                    port:p5.12-mime-tools \
+depends_lib         port:perl${perl5.major} \
+                    port:p${perl5.major}-class-methodmaker \
+                    port:p${perl5.major}-mailtools \
+                    port:p${perl5.major}-term-readkey \
+                    port:p${perl5.major}-gnupg-interface \
+                    port:p${perl5.major}-text-iconv \
+                    port:p${perl5.major}-text-template \
+                    port:p${perl5.major}-mime-tools \
                     port:qprint
 depends_run         bin:gpg:gnupg \
                     port:dialog
@@ -46,7 +47,7 @@
                     CFLAGS="${configure.cflags} [get_canonical_archflags]"
 
 pre-build {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" \
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" \
         ${worksrcpath}/caff/caff \
         ${worksrcpath}/caff/pgp-clean \
         ${worksrcpath}/caff/pgp-fixkey \
